Download the latest version of Radio Silence

Upgrading from an older version? Don’t worry, the new installer automatically imports your settings.

Download Radio Silence

Version 2.3, requires macOS 10.10+ including High Sierra.

Looking for older versions of Radio Silence?

Download Radio Silence for OS X 10.9 Download Radio Silence for OS X 10.6—10.8